Public Member Functions | Package Functions

# BinNavi.API.disassembly.IProjectListener Interface Reference

Used to listen on address projects. More...

Inheritance diagram for BinNavi.API.disassembly.IProjectListener:

List of all members.

## Public Member Functions
void | addedDebuggerTemplate (Project project, DebuggerTemplate template)
| Signals a new debugger template in the project.
void | addedTrace (Project project, Trace trace)
| Signals a new project trace.
void | addedView (Project project, View view)
| Signals a new project view.
void | changedDescription (Project project, String description)
| Signals a change in the project description.
void | changedModificationDate (Project project, Date date)
| Signals a change in the project modification date.
void | changedName (Project project, String name)
| Signals a change in the project name.
void | closedProject (Project project)
| Signals that the project was closed.
boolean | closingProject (Project project)
| Signals that the project is about to be closed.
void | deletedAddressSpace (Project project, AddressSpace addressSpace)
| Signals the deletion of an address space.
void | deletedTrace (Project project, Trace trace)
| Signals the deletion of a project trace.
void | deletedView (Project project, View view)
| Signals the deletion of a view.
void | loadedProject (Project project)
| Signals that the project was loaded.
void | removedDebuggerTemplate (Project project, DebuggerTemplate template)
| Signals the removal of a debugger template.
## Package Functions
void | addedAddressSpace (Project project, AddressSpace addressSpace)
| Signals a new address space in the project.

## Detailed Description

Interface that can be implemented by objects that want to be notified about changes in Project objects.

## Member Function Documentation

void BinNavi.API.disassembly.IProjectListener.addedAddressSpace | ( | Project | project,
|  | AddressSpace | addressSpace |
| ) |  |  | `[package]`

Invoked after an address space was added to the project.

Parameters:

  | project | The project where the address space was added.
  | addressSpace | The address space that was added to the project.

void BinNavi.API.disassembly.IProjectListener.addedDebuggerTemplate | ( | Project | project,
|  | DebuggerTemplate | template |
| ) |  |  |

Invoked after a debugger template was added to the project.

Parameters:

  | project | The project where the debugger template was added.
  | template | The debugger template that was added to the project.

void BinNavi.API.disassembly.IProjectListener.addedTrace | ( | Project | project,
|  | Trace | trace |
| ) |  |  |

Invoked after a new trace was added to the project.

Parameters:

  | project | The project where the new trace was created.
  | trace | The new trace that was added to the project.

void BinNavi.API.disassembly.IProjectListener.addedView | ( | Project | project,
|  | View | view |
| ) |  |  |

Invoked after a view was added to the project.

Parameters:

  | project | The project where the view was added.
  | view | The view that was added to the project.

void BinNavi.API.disassembly.IProjectListener.changedDescription | ( | Project | project,
|  | String | description |
| ) |  |  |

Invoked after the description of the project changed.

Parameters:

  | project | The project whose description changed.
  | description | The new description value of the project.

void BinNavi.API.disassembly.IProjectListener.changedModificationDate | ( | Project | project,
|  | Date | date |
| ) |  |  |

Invoked after the modification date of the project changed.

Parameters:

  | project | The project whose modification date changed.
  | date | The new modification date of the project.

void BinNavi.API.disassembly.IProjectListener.changedName | ( | Project | project,
|  | String | name |
| ) |  |  |

Invoked after the name of the project changed.

Parameters:

  | project | The project whose name changed.
  | name | The new name of the project.

void BinNavi.API.disassembly.IProjectListener.closedProject | ( | Project | project | ) |

Invoked after a project was closed.

After this function was invoked, using parts of the project which must be loaded before they can be used leads to undefined behavior.

Parameters:

  | project | The project that was closed.

boolean BinNavi.API.disassembly.IProjectListener.closingProject | ( | Project | project | ) |

Invoked right before a project is closed. The listening object has the opportunity to veto the close process if it still needs to work with the project.

Parameters:

  | project | The project that is about to be closed.

Returns:
  True, to indicate that the project can be closed. False, to veto the close process.

void BinNavi.API.disassembly.IProjectListener.deletedAddressSpace | ( | Project | project,
|  | AddressSpace | addressSpace |
| ) |  |  |

Invoked after an address space was deleted from the project.

After this function was invoked, further usage of the deleted address space or objects inside that address space lead to undefined behavior.

Parameters:

  | project | The project where the address space was deleted.
  | addressSpace | The address space that was deleted from the project.

void BinNavi.API.disassembly.IProjectListener.deletedTrace | ( | Project | project,
|  | Trace | trace |
| ) |  |  |

Invoked after a trace was deleted from the project.

After this function was invoked, further usage of the deleted trace or objects inside that trace lead to undefined behavior.

Parameters:

  | project | The project where the trace was deleted.
  | trace | The trace that was deleted from the project.

void BinNavi.API.disassembly.IProjectListener.deletedView | ( | Project | project,
|  | View | view |
| ) |  |  |

Invoked after a view was deleted from the project.

After this function was invoked, further usage of the deleted view or objects inside that view lead to undefined behavior.

Parameters:

  | project | The project where the view was deleted.
  | view | The view that was deleted from the project.

void BinNavi.API.disassembly.IProjectListener.loadedProject | ( | Project | project | ) |

Invoked after the project was loaded.

Parameters:

  | project | The project that was loaded.

void BinNavi.API.disassembly.IProjectListener.removedDebuggerTemplate | ( | Project | project,
|  | DebuggerTemplate | template |
| ) |  |  |

Invoked after a debugger template was deleted from the project.

Parameters:

  | project | The project where the trace was deleted.
  | template | The debugger template that was deleted from the project.